Multivariate Pattern Analysis in Python

# mvpa2.measures.noiseperturbation.NoisePerturbationSensitivity

class `mvpa2.measures.noiseperturbation.``NoisePerturbationSensitivity`(datameasure, noise=<built-in method normal of mtrand.RandomState object>)

  Sensitivity based on the effect of noise perturbation on a measure.

  This is a `FeaturewiseMeasure` that uses a scalar `Measure` and selective noise perturbation to compute a sensitivity map.

  First the scalar `Measure` computed using the original dataset. Next the data measure is computed multiple times each with a single feature in the dataset perturbed by noise. The resulting difference in the scalar `Measure` is used as the sensitivity for the respective perturbed feature. Large differences are treated as an indicator of a feature having great impact on the scalar `Measure`.

  Notes

  The computed sensitivity map might have positive and negative values!

  Available conditional attributes:

  - `calling_time+`: None
  - `null_prob+`: None
  - `null_t`: None
  - `raw_results`: None
  - `trained_dataset`: None
  - `trained_nsamples+`: None
  - `trained_targets+`: None
  - `training_time+`: None

  (Conditional attributes enabled by default suffixed with `+`)

  Attributes

  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `descr` | Description of the object if any
  `force_train` | Whether the Learner enforces training upon everycalled.
  `null_dist` | Return Null Distribution estimator
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `space` | Processing space name of this node

  Methods

  Parameters:

  datameasure : `Measure`

  > Used to quantify the effect of noise perturbation.

  noise: Callable

  > Used to generate noise. The noise generator has to return an 1d array of n values when called the `size=n` keyword argument. This is the default interface of the random number generators in NumPy’s `random` module.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  Attributes

  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `descr` | Description of the object if any
  `force_train` | Whether the Learner enforces training upon everycalled.
  `null_dist` | Return Null Distribution estimator
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `space` | Processing space name of this node

  Methods

  `is_trained` = True

    Indicate that this measure is always trained.